## org.apache.lucene.demo
Class HTMLDocument

    java.lang.Object
      org.apache.lucene.demo.HTMLDocument

    public class HTMLDocument

extends Object

A utility for making Lucene Documents for HTML documents.

Method Summary
`static Document` `Document(File f)`
`static String` `uid(File f)`
`static String` `uid2url(String uid)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### uid

    public static String uid(File f)

### uid2url

    public static String uid2url(String uid)

### Document

    public static Document Document(File f)
                             throws IOException,
                                    InterruptedException

  Throws:
    `IOException`
    `InterruptedException`

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.